com.h3c.util.pkt

## Enum Sctp.Chunk.Type

- java.lang.Object
- - java.lang.Enum<Sctp.Chunk.Type>
  - - com.h3c.util.pkt.Sctp.Chunk.Type

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<Sctp.Chunk.Type>
  Enclosing class:
    Sctp.Chunk

      public static enum Sctp.Chunk.Type
      extends Enum<Sctp.Chunk.Type>
      implements ProtocolEnum

  Chunk types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORT` Abort chunk.
    `COOKIE_ACK` Cookie acknowledgment chunk.
    `COOKIE_ECHO` State cookie chunk.
    `CWR` Congestion window reduced (reserved) chunk.
    `DATA` Payload data chunk.
    `ECNE` Explicit congestion notification echo (reserved) chunk.
    `ERROR` Operation error chunk.
    `HEARTBEAT` Heartbeat request chunk.
    `HEARTBEAT_ACK` Heartbeat acknowledgment chunk.
    `INIT` Initiation chunk.
    `INIT_ACK` Initiation acknowledgment chunk.
    `SACK` Selective acknowledgment chunk.
    `SHUTDOWN` Shutdown chunk.
    `SHUTDOWN_ACK` Shutdown acknowledgment chunk.
    `SHUTDOWN_COMPLETE` Shutdown complete chunk.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static Sctp.Chunk.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Sctp.Chunk.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATA

          public static final Sctp.Chunk.Type DATA

      Payload data chunk.

    - #### INIT

          public static final Sctp.Chunk.Type INIT

      Initiation chunk.

    - #### INIT_ACK

          public static final Sctp.Chunk.Type INIT_ACK

      Initiation acknowledgment chunk.

    - #### SACK

          public static final Sctp.Chunk.Type SACK

      Selective acknowledgment chunk.

    - #### HEARTBEAT

          public static final Sctp.Chunk.Type HEARTBEAT

      Heartbeat request chunk.

    - #### HEARTBEAT_ACK

          public static final Sctp.Chunk.Type HEARTBEAT_ACK

      Heartbeat acknowledgment chunk.

    - #### ABORT

          public static final Sctp.Chunk.Type ABORT

      Abort chunk.

    - #### SHUTDOWN

          public static final Sctp.Chunk.Type SHUTDOWN

      Shutdown chunk.

    - #### SHUTDOWN_ACK

          public static final Sctp.Chunk.Type SHUTDOWN_ACK

      Shutdown acknowledgment chunk.

    - #### ERROR

          public static final Sctp.Chunk.Type ERROR

      Operation error chunk.

    - #### COOKIE_ECHO

          public static final Sctp.Chunk.Type COOKIE_ECHO

      State cookie chunk.

    - #### COOKIE_ACK

          public static final Sctp.Chunk.Type COOKIE_ACK

      Cookie acknowledgment chunk.

    - #### ECNE

          public static final Sctp.Chunk.Type ECNE

      Explicit congestion notification echo (reserved) chunk.

    - #### CWR

          public static final Sctp.Chunk.Type CWR

      Congestion window reduced (reserved) chunk.

    - #### SHUTDOWN_COMPLETE

          public static final Sctp.Chunk.Type SHUTDOWN_COMPLETE

      Shutdown complete chunk.

  - ### Method Detail

    - #### values

          public static Sctp.Chunk.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Sctp.Chunk.Type c : Sctp.Chunk.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Sctp.Chunk.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.